// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

/**
 * Protobuf type {@code com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto}
 */
public  final class InterpolationSettingsDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto)
    InterpolationSettingsDtoOrBuilder {
  // Use InterpolationSettingsDto.newBuilder() to construct.
  private InterpolationSettingsDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private InterpolationSettingsDto() {
    maxPointsPerUnit_ = 0;
    temporalUnit_ = 0;
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private InterpolationSettingsDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 8: {

            maxPointsPerUnit_ = input.readInt32();
            break;
          }
          case 16: {
            int rawValue = input.readEnum();

            temporalUnit_ = rawValue;
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_InterpolationSettingsDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_InterpolationSettingsDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto.class, com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto.Builder.class);
  }

  public static final int MAX_POINTS_PER_UNIT_FIELD_NUMBER = 1;
  private int maxPointsPerUnit_;
  /**
   * <code>optional int32 max_points_per_unit = 1;</code>
   */
  public int getMaxPointsPerUnit() {
    return maxPointsPerUnit_;
  }

  public static final int TEMPORAL_UNIT_FIELD_NUMBER = 2;
  private int temporalUnit_;
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.TemporalUnitDto temporal_unit = 2;</code>
   */
  public int getTemporalUnitValue() {
    return temporalUnit_;
  }
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.TemporalUnitDto temporal_unit = 2;</code>
   */
  public com.accelfin.server.demo.fx.dtos.TemporalUnitDto getTemporalUnit() {
    com.accelfin.server.demo.fx.dtos.TemporalUnitDto result = com.accelfin.server.demo.fx.dtos.TemporalUnitDto.forNumber(temporalUnit_);
    return result == null ? com.accelfin.server.demo.fx.dtos.TemporalUnitDto.UNRECOGNIZED : result;
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (maxPointsPerUnit_ != 0) {
      output.writeInt32(1, maxPointsPerUnit_);
    }
    if (temporalUnit_ != com.accelfin.server.demo.fx.dtos.TemporalUnitDto.SECONDS.getNumber()) {
      output.writeEnum(2, temporalUnit_);
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (maxPointsPerUnit_ != 0) {
      size += com.google.protobuf.CodedOutputStream
        .computeInt32Size(1, maxPointsPerUnit_);
    }
    if (temporalUnit_ != com.accelfin.server.demo.fx.dtos.TemporalUnitDto.SECONDS.getNumber()) {
      size += com.google.protobuf.CodedOutputStream
        .computeEnumSize(2, temporalUnit_);
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto)
      com.accelfin.server.demo.fx.dtos.InterpolationSettingsDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_InterpolationSettingsDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_InterpolationSettingsDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto.class, com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto.Builder.class);
    }

    // Construct using com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
      }
    }
    public Builder clear() {
      super.clear();
      maxPointsPerUnit_ = 0;

      temporalUnit_ = 0;

      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_InterpolationSettingsDto_descriptor;
    }

    public com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto getDefaultInstanceForType() {
      return com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto.getDefaultInstance();
    }

    public com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto build() {
      com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto buildPartial() {
      com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto result = new com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto(this);
      result.maxPointsPerUnit_ = maxPointsPerUnit_;
      result.temporalUnit_ = temporalUnit_;
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto) {
        return mergeFrom((com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto other) {
      if (other == com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto.getDefaultInstance()) return this;
      if (other.getMaxPointsPerUnit() != 0) {
        setMaxPointsPerUnit(other.getMaxPointsPerUnit());
      }
      if (other.temporalUnit_ != 0) {
        setTemporalUnitValue(other.getTemporalUnitValue());
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }

    private int maxPointsPerUnit_ ;
    /**
     * <code>optional int32 max_points_per_unit = 1;</code>
     */
    public int getMaxPointsPerUnit() {
      return maxPointsPerUnit_;
    }
    /**
     * <code>optional int32 max_points_per_unit = 1;</code>
     */
    public Builder setMaxPointsPerUnit(int value) {
      
      maxPointsPerUnit_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional int32 max_points_per_unit = 1;</code>
     */
    public Builder clearMaxPointsPerUnit() {
      
      maxPointsPerUnit_ = 0;
      onChanged();
      return this;
    }

    private int temporalUnit_ = 0;
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.TemporalUnitDto temporal_unit = 2;</code>
     */
    public int getTemporalUnitValue() {
      return temporalUnit_;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.TemporalUnitDto temporal_unit = 2;</code>
     */
    public Builder setTemporalUnitValue(int value) {
      temporalUnit_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.TemporalUnitDto temporal_unit = 2;</code>
     */
    public com.accelfin.server.demo.fx.dtos.TemporalUnitDto getTemporalUnit() {
      com.accelfin.server.demo.fx.dtos.TemporalUnitDto result = com.accelfin.server.demo.fx.dtos.TemporalUnitDto.forNumber(temporalUnit_);
      return result == null ? com.accelfin.server.demo.fx.dtos.TemporalUnitDto.UNRECOGNIZED : result;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.TemporalUnitDto temporal_unit = 2;</code>
     */
    public Builder setTemporalUnit(com.accelfin.server.demo.fx.dtos.TemporalUnitDto value) {
      if (value == null) {
        throw new NullPointerException();
      }
      
      temporalUnit_ = value.getNumber();
      onChanged();
      return this;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.TemporalUnitDto temporal_unit = 2;</code>
     */
    public Builder clearTemporalUnit() {
      
      temporalUnit_ = 0;
      onChanged();
      return this;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto)
  private static final com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto();
  }

  public static com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<InterpolationSettingsDto>
      PARSER = new com.google.protobuf.AbstractParser<InterpolationSettingsDto>() {
    public InterpolationSettingsDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new InterpolationSettingsDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<InterpolationSettingsDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<InterpolationSettingsDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

